Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.endeca.portal.mdex.groups
Class AttributeGroupUtil

    java.lang.Object
      com.endeca.portal.mdex.groups.AttributeGroupUtil

Deprecated.

    @Deprecated
    public class AttributeGroupUtil

extends java.lang.Object

Main entry point to retrieve attribute group information from an MDEX 7 data source

Author:
  Endeca Technologies, Inc.

Constructor Summary
`AttributeGroupUtil(javax.portlet.PortletRequest request, DataSource dataSource)` Deprecated.

Method Summary
`void` | `clearGroupsCache()` Deprecated.
`AttributeGroup` | `getGroup(java.lang.String key)` Deprecated.
`AttributeGroupLinkedMap` | `getGroups()` Deprecated.
`AttributeGroupLinkedMap` | `getGroups(java.util.List<java.lang.String> keys)` Deprecated.
`int` | `getNumCachedGroups()` Deprecated.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AttributeGroupUtil

    @Deprecated
    public AttributeGroupUtil(javax.portlet.PortletRequest request,
                                         DataSource dataSource)

  Deprecated.

  Constructor

  Parameters:
    `request` - the current request
    `dataSource` - the current data source

Method Detail

### getGroups

    @Deprecated
    public AttributeGroupLinkedMap getGroups()

  Deprecated.

  Retrieves the list of groups for the data source. Looks in cache first; if not found, queries the MDEX Engine.

  Returns:
    the groups

### getGroup

    @Deprecated
    public AttributeGroup getGroup(java.lang.String key)

  Deprecated.

  Retrieves the specified group from the data source. Looks in cache first; if not found, queries the MDEX Engine.

  Parameters:
    `key` - the key of the requested group
  Returns:
    the group

### getGroups

    @Deprecated
    public AttributeGroupLinkedMap getGroups(java.util.List<java.lang.String> keys)

  Deprecated.

  Returns the specified groups from the data source. Looks in cache first; if not found, queries the MDEX Engine.

  Parameters:
    `keys` - the list of keys of the requested groups
  Returns:
    the groups

### getNumCachedGroups

    @Deprecated
    public int getNumCachedGroups()

  Deprecated.

  Returns the number of groups currently cached in the session. Primarily used for testing to verify the cache.

  Returns:
    the number of groups

### clearGroupsCache

    @Deprecated
    public void clearGroupsCache()

  Deprecated.

  Removes the group cache for the data source.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD